Debian Bug report logs - #206691
ITP: python-matplotlib -- A python based gtk plotting system in a style similar to matlab, aiming for publication quality plots.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nathan Hurst <njh@hawthorn.csse.monash.edu.au>

Date: Fri, 22 Aug 2003 06:48:01 UTC

Severity: wishlist

Tags: fixed

Merged with 328027

Fixed in version matplotlib/0.82-1

Done: Thomas Huriaux <thomas.huriaux@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathan Hurst <njh@hawthorn.csse.monash.edu.au>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nathan Hurst <njh@hawthorn.csse.monash.edu.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: python-matplotlib -- A python based gtk plotting system in a style similar to matlab, aiming for publication quality plots.
Date: Fri, 22 Aug 2003 16:42:37 +1000
Package: wnpp
Version: unavailable; reported 2003-08-22
Severity: wishlist

* Package name    : python-matplotlib
  Version         : 0.2
  Upstream Author : John D. Hunter  <jdhunter@ace.bsd.uchicago.edu>
* URL             : http://matplotlib.sourceforge.net/
* License         : Python style
  Description     : A python based gtk plotting system in a style similar to matlab, aiming for publication quality plots.

matplotlib is a pure python plotting library designed to bring publication quality plotting to python with a syntax familiar to matlab users. Although the goal of publication quality is not yet attained (see goals), the library does produce high quality 2D plots. All of the plotting commands can be accessed either via a functional interface familiar to matlab users or an object oriented interface familiar to python users.

-- System Information:
Debian Release: testing/unstable
Architecture: powerpc
Kernel: Linux nudibranch 2.4.20-rc4-ben0 #2 Thu Dec 12 09:58:51 EST 2002 ppc
Locale: LANG=C, LC_CTYPE=C

-- 
njh
http://www.csse.monash.edu.au/~njh/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Marco Presi" <zufus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 206691@bugs.debian.org (full text, mbox):

From: "Marco Presi" <zufus@debian.org>
To: Nathan Hurst <njh@hawthorn.csse.monash.edu.au>, 206691@bugs.debian.org,
Subject: ITP: python-matplotlib -- A python based gtk plotting system in a style similar to matlab, aiming for publication quality plots.
Date: Tue, 26 Aug 2003 10:05:25 +0200
[Message part 1 (text/plain, inline)]
retitle 206691 ITP: python-matplotlib -- A python based gtk plotting system in a style similar to matlab, aiming for publication quality plots.

thanks

 || On Fri, 22 Aug 2003 16:42:37 +1000
 || Nathan Hurst <njh@hawthorn.csse.monash.edu.au> wrote: 

	nh> Package: wnpp
	nh> Version: unavailable; reported 2003-08-22
	nh> Severity: wishlist

	nh> * Package name    : python-matplotlib
	nh>   Version         : 0.2
	nh>   Upstream Author : John D. Hunter  <jdhunter@ace.bsd.uchicago.edu>
	nh> * URL             : http://matplotlib.sourceforge.net/
	nh> * License         : Python style
	nh>   Description     : A python based gtk plotting system in a style similar to matlab, aiming for publication quality plots.

	nh> matplotlib is a pure python plotting library designed to bring publication quality plotting to python with a syntax familiar to matlab users. Although the goal of publication quality is not yet attained (see goals), the library does produce high quality 2D plots. All of the plotting commands can be accessed either via a functional interface familiar to matlab users or an object oriented interface familiar to python users.

	nh> -- System Information:
	nh> Debian Release: testing/unstable
	nh> Architecture: powerpc
	nh> Kernel: Linux nudibranch 2.4.20-rc4-ben0 #2 Thu Dec 12 09:58:51 EST 2002 ppc
	nh> Locale: LANG=C, LC_CTYPE=C

	nh> -- 
	nh> njh
	nh> http://www.csse.monash.edu.au/~njh/



	nh> -- 
	nh> To UNSUBSCRIBE, email to debian-wnpp-request@lists.debian.org
	nh> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org


-- 
"I videogiochi non influenzano i bambini. Voglio dire, se Pac-Man avesse
influenzato la nostra generazione, staremmo tutti saltando in sale
scure, masticando pillole magiche e ascoltando musica elettronica
ripetitiva."

Kristian Wilson, Nintendo Inc. 1989
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@seehuhn.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #15 received at 206691@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@seehuhn.de>
To: Marco Presi <zufus@debian.org>, 206691@bugs.debian.org
Subject: packaging python-matplotlib
Date: Tue, 18 Nov 2003 11:41:19 +0000
[Message part 1 (text/plain, inline)]
Hello Marco,

I noticed that you did send the "retitle 206691 ITP: ..." to the
bug report log instead of the control bot.  So the bug title is
still "RFP: ...".  I guess it would make sense to change this in
order to avoid confusion.

I hope this helps,
Jochen
-- 
http://seehuhn.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@seehuhn.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #20 received at 206691@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@seehuhn.de>
To: matplotlib-devel@lists.sourceforge.net
Cc: Marco Presi <zufus@debian.org>, 206691@bugs.debian.org
Subject: Re: [matplotlib-devel] matlab_helpers and screen dpi/figsize refactored
Date: Tue, 18 Nov 2003 11:44:22 +0000
Hello,

On Tue, Nov 18, 2003 at 10:10:33AM -0000, Jeremy O'Donoghue wrote:
> By the way, I noticed on the users list that people are asking for Debian
> packages. I'm quite happy to do one, but would rather wait until things
> have calmed down - I'll target the 4.0 release for a .deb on the
> Sourceforge site.
> 
> We'll have to think about how the Debian package dependencies are worked
> out. My inclination is that we should require appropriate support for at
> least one backend, and suggest the others. Something like:
> 
> Required packages:    python2.3-numeric, python2.3-numeric-ext, fonttools
>                       python2.3-gtk | libgd2-dev | libwxpython
> Recommended packages: python2.3-gtk, libgd2-dev, libwxpython
> 
> This would allow a Debian user to install matplotlib for only one backend
> (e.g. gd2 only for a webserver without X), but recommend packages to
> support other backends.
I think that Marco Presi <zufus@debian.org> claims to be
working on this.  Maybe you can coordinate with him.
See

    http://bugs.debian.org/206691

for details.

> I can probably put simple packages for TTFQuery
> and gdmodule , which could be 'suggested'.
At http://seehuhn.de/debian/ you can find a python-ttfquery
package, which I produced for my own personal use.  If
anything else in the Debian archive would use it, I probably
could upload it to the archive.

Best regards,
Jochen
-- 
http://seehuhn.de/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Charles R. Twardy" <charles.twardy@infotech.monash.edu.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #25 received at 206691@bugs.debian.org (full text, mbox):

From: "Charles R. Twardy" <charles.twardy@infotech.monash.edu.au>
To: Jochen Voss <voss@seehuhn.de>
Cc: matplotlib-devel@lists.sourceforge.net, Marco Presi <zufus@debian.org>, 206691@bugs.debian.org
Subject: Re: [matplotlib-devel] matlab_helpers and screen dpi/figsize refactored
Date: Wed, 19 Nov 2003 00:39:33 +1100 (EST)
I was unable to contact Marco awhile (months) back. I had been foolish
enough to volunteer to package, and he said he'd wait a couple of days and
then do it. After a week or so I wrote to say I wasn't going to get the
time, but my mails kept bouncing.

JV:I think that Marco Presi <zufus@debian.org> claims to be
JV:working on this.  Maybe you can coordinate with him.
JV:See
JV:
JV:    http://bugs.debian.org/206691


-- 
Charles R. Twardy                    www.csse.monash.edu.au/~ctwardy
Monash University                    sarbayes.org
Computer Sci. & Software Eng.
+61(3) 9905 5823 (w)  5146 (fax)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Vittorio Palmisano <redclay@email.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #30 received at 206691@bugs.debian.org (full text, mbox):

From: Vittorio Palmisano <redclay@email.it>
To: matplotlib-devel@lists.sourceforge.net, 206691@bugs.debian.org
Subject: [matplotlib-devel] matplotlib Debian package
Date: Thu, 12 Feb 2004 23:14:19 +0100
Hello,
I've made a Debian package for matplotlib and I've put it at:
http://anakonda.altervista.org/debian/

I've read some specification for dependencies from http://bugs.debian.org/206691,
this is my first package and so there are some (many?) things to fix.
I think that the package may also include the api documentation generated with pydoc.




-- 
/Vittorio Palmisano/
Home Page: http://redclay.altervista.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Vittorio Palmisano <redclay@email.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #35 received at 206691@bugs.debian.org (full text, mbox):

From: Vittorio Palmisano <redclay@email.it>
To: debian-mentors@lists.debian.org, 206691@bugs.debian.org
Subject: RFS: python-matplotlib -- A python based gtk plotting system in a style similar to matlab
Date: Sun, 29 Feb 2004 17:35:09 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,
I'm looking for a sponsor for python-matplotlib
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=206691):

* Package name    : python-matplotlib
  Version         : 0.50
  Upstream Author : John D. Hunter  <jdhunter@ace.bsd.uchicago.edu>
* URL             : http://matplotlib.sourceforge.net/
* License         : Python style
  Description:
    matplotlib is a pure python plotting library designed to bring publication
    quality plotting to python with a syntax familiar to matlab users. Although
    the goal of publication quality is not yet attained (see goals), the library
    does produce high quality 2D plots. All of the plotting commands can be
    accessed either via a functional interface familiar to matlab users or an
    object oriented interface familiar to python users

* Package name: python-matplotlib-doc
  Description: documentation files for matplotlib, generated with pydoc

I have also packaged this libraries, from which matplotlib depends on:

* Package name    : python-gdmodule:
  Version         : 0.52
  Upstream Author : Richard Jones <richard@bofh.asn.au>
* URL             : http://www.boutell.com/gd/
* License         : Python style
  Description: GD module is an interface to the GD library
    gd is a graphics library. It allows your code to quickly draw images
    complete with lines, arcs, text, multiple colors, cut and paste from other
    images, and flood fills, and write out the result as a PNG or JPEG file.
    This is particularly useful in World Wide Web applications, where PNG and
    JPEG are two of the formats accepted for inline images by most browsers.

* Package name    : python-pypaint:
  Version         : 0.3
  Upstream Author : David Moore <davidm@sjsoft.com>
* URL             : http://sourceforge.net/projects/pypaint
* License         : Python style
  Description: pypaint provides a light Python wrapper for libart
    This module provides a light Python wrapper for libart. It only
    provides basic functionality at the moment - line drawing, rectangles,
    polygons, arcs, fill, and simple font support.

* Package name    : python-ttfquery:
  Version         : 0.2.6+1.0.0a1
  Upstream Author : Michael C. Fletcher <mcfletch@users.sourceforge.net>
* URL             : http://ttfquery.sourceforge.net/
* License         : Python style
  Description: fonttools package for querying and sorting system fonts
    TTFQuery builds on the FontTools package to allow the Python
    programmer to accomplish a number of tasks:
     * query the system to find installed fonts
     * retrieve metadata about any TTF font file
       (even those not yet installed)
           o abstract family type
           o proper font name
           o glyph outlines
     * build simple metadata registries for run-time font matching
    With these functionalities, it is possible to readily create OpenGL
    solid-text rendering libraries which can accept abstract font-family
    names as font specifiers and deliver platform-specific TTF files to
    match those libraries.  TTFQuery doesn't provide rendering services,
    but a sample implementation can be found in the OpenGLContext
    project, from which TTFQuery was refactored.
    (thanks to Jochen Voss for the initial release of this package)


Packages I made:
  url: http://anakonda.altervista.org/debian/packages/
       http://anakonda.altervista.org/debian/sources/

  sources.list:
       deb http://anakonda.altervista.org/debian packages/
       deb-src http://anakonda.altervista.org/debian sources/



-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFAQhS9pT6bvDtyXOIRAjU7AJ9X+nflaSQD04TYokO2TQTE8fUrXgCcCU7N
O3QyByeRPH3mnHjj4ctKV7g=
=oaLh
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #40 received at 206691@bugs.debian.org (full text, mbox):

From: Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>
To: 206691@bugs.debian.org
Subject: python-gd is already in main
Date: Fri, 5 Mar 2004 08:02:56 +0900
I am a Debian user eagerly waiting for `python-matploblib`.
I thank Vittorio Palmisano for his work!

However, I think `python-gdmodule` you packaged is a same
library as `python-gd` in main. It is still at 0.42, (and
you packaged 0.52) and the package is requested for adoption.
I think you should contact Ben Pfaff (pfaffben@debian.org)
for adoption.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to redclay@email.it:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #45 received at 206691@bugs.debian.org (full text, mbox):

From: Vittorio Palmisano <redclay@email.it>
To: matplotlib development <matplotlib-devel@lists.sourceforge.net>, 206691@bugs.debian.org
Subject: matplotlib debian packages
Date: Sat, 12 Jun 2004 10:14:45 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,
My matplotlib debian packages are now on http://mentors.debian.net, so
instructions for installing on Debian should be modified.

This is the installation procedure:

- -----------------------------------------------------------------------------
Installation:

    * add this lines to your /etc/apt/sources.list:
      deb http://mentors.debian.net/debian unstable main contrib non-free
      deb-src http://mentors.debian.net/debian unstable main contrib non-free

    * then run:
      # apt-get update
      # apt-get install python-matplotlib python-matplotlib-doc
- -----------------------------------------------------------------------------





- --
/Vittorio Palmisano/
Home Page: http://redclay.altervista.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFAyrt1pT6bvDtyXOIRAmIcAKCXZ6CCTX4I9yefynbUKcF7TEN8KQCfdMMQ
IeUJdsnjjPIuUflnz5RGS9Y=
=Lk/g
-----END PGP SIGNATURE-----
 
 
 --
 Email.it, the professional e-mail, gratis per te: http://www.email.it/f
 
 Sponsor:
 American Diet System: Dimagrire mangiando e dormendo!
* Perdi peso senza rinunce e senza traumi!
* 
 Clicca qui: http://adv.email.it/cgi-bin/foclick.cgi?mid=2631&d=12-6ck.cgi?mid=2410&d=12-6



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Vittorio Palmisano <redclay@email.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #50 received at 206691@bugs.debian.org (full text, mbox):

From: Vittorio Palmisano <redclay@email.it>
To: matplotlib-devel@lists.sourceforge.net, 206691@bugs.debian.org, debian-python@lists.debian.org
Subject: python-matplotlib_0.61.0 debian package
Date: Fri, 13 Aug 2004 21:57:23 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,
The debian package has a new address due to recent changes on mentors.debian.net.
Instructions for installing are now:

- --8<----------------------------------------------------------------------
* add this lines to your /etc/apt/sources.list:
  deb http://anakonda.altervista.org/debian packages/
  deb-src http://anakonda.altervista.org/debian sources/
* then run:
  # apt-get update
  # apt-get install python-matplotlib python-matplotlib-doc
- --8<----------------------------------------------------------------------

Description (for debian-python@lists.debian.org):

* Package: python-matplotlib
  Version: 0.61.0-1
  Description: A python based gtk plotting system in a style similar to matlab

* Package: python-matplotlib-doc
  Source: python-matplotlib
  Description: A python based gtk plotting system in a style similar to matlab
  (documentation)

matplotlib is a pure python plotting library designed to bring publication
quality plotting to python with a syntax familiar to matlab users. Although the
goal of publication quality is not yet attained (see goals), the library does
produce high quality 2D plots. All of the plotting commands can be accessed
either via a functional interface familiar to matlab users or an object oriented
interface familiar to python users




- --
/Vittorio Palmisano/
Home Page: http://redclay.altervista.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFBHR0jpT6bvDtyXOIRAhYFAKDaiwsC8CWthg9Chtncol74XEymegCfZ4NX
/rLHJ4u1oN4hTdbZDs/cgsA=
=ma3j
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Vittorio Palmisano <redclay@email.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #55 received at 206691@bugs.debian.org (full text, mbox):

From: Vittorio Palmisano <redclay@email.it>
To: control@bugs.debian.org, 206691@bugs.debian.org, jack@xiph.org
Subject: ITP: python-matplotlib -- A python based gtk plotting system in astyle similar to matlab, aiming for publication quality plots.
Date: Sat, 02 Oct 2004 16:09:02 +0200
retitle 206691 ITP: python-matplotlib -- A python based gtk plotting system in a
style similar to matlab, aiming for publication quality plots.

thanks


* Package name    : python-matplotlib
  Version         : 0.63.4
  Upstream Author : John D. Hunter  <jdhunter@ace.bsd.uchicago.edu>
* URL             : http://matplotlib.sourceforge.net/
* License         : Python style
  Description:
    matplotlib is a pure python plotting library designed to bring publication
    quality plotting to python with a syntax familiar to matlab users. Although
    the goal of publication quality is not yet attained (see goals), the library
    does produce high quality 2D plots. All of the plotting commands can be
    accessed either via a functional interface familiar to matlab users or an
    object oriented interface familiar to python users

my packages are here:
  deb http://anakonda.altervista.org/debian packages/
  deb-src http://anakonda.altervista.org/debian sources/

Jack Moffitt will be my sponsor


-- 
/Vittorio Palmisano/
Home Page: http://redclay.altervista.org
 
 
 --
 Email.it, the professional e-mail, gratis per te: http://www.email.it/f
 
 Sponsor:
 Hai una fotocamera digitale e vuoi stampare le tue immagini
* su vera carta fotografica professionale?
 Clicca qui: http://adv.email.it/cgi-bin/foclick.cgi?mid=1533&d=2-10



Changed Bug title. Request was from Vittorio Palmisano <redclay@email.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Redclay <redclay@email.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #62 received at 206691@bugs.debian.org (full text, mbox):

From: Redclay <redclay@email.it>
To: control@bugs.debian.org
Cc: 206691@bugs.debian.org
Subject: ITP: python-matplotlib -- A python based gtk plotting system in a style similar to matlab, aiming for publication quality plots.
Date: Sat, 2 Oct 2004 16:30:27 +0200
retitle 206691 ITP: python-matplotlib -- A python based gtk plotting system
in a style similar to matlab, aiming for publication quality plots.
thanks 
 --
 Email.it, the professional e-mail, gratis per te: http://www.email.it/f
 
 Sponsor:
 Usi ancora fax e carta? Allora sei preistorico! Oggi i fax li ricevi
direttamente sul computer con il nuovo EmailFax IN
Clicca e scopri i vantaggi
 Clicca qui: http://adv.email.it/cgi-bin/foclick.cgi?mid=1568&d=20041002





Changed Bug title. Request was from Redclay <redclay@email.it> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Vittorio Palmisano <redclay@email.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@seehuhn.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #71 received at 206691@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@seehuhn.de>
To: matplotlib development list <matplotlib-devel@lists.sourceforge.net>
Cc: 206691@bugs.debian.org
Subject: alternative Debian packages for matplotlib 0.63.4
Date: Thu, 14 Oct 2004 20:16:47 +0100
[Message part 1 (text/plain, inline)]
Hello,

I produced a set of alternative Debian packages for matplotlib
version 0.63.4.  These are based on Vittorio Palmisano's packages,
but include the following changes:

   * I fixed the dependencies and build-dependencies.  The package
     should now build fine on build-daemons and such.
   * I only build the gtkagg backend, to keep the list of dependencies
     slim.
   * I made the package build without an X-server connection.
   * The package does no longer install duplicates of the Vera* TTF
     font files but uses the ones from ttf-bitstream-vera instead.
     This reduces the binary package size by several 100kb.
   * The example scripts in the -doc package are executable.

You can find my packages on my homepage at

    http://seehuhn.de/debian/

Comments and suggestions are very welcome.

Vittorio: fell free to incorporate all these changes into your
packages as you see fit.

All the best,
Jochen
-- 
http://seehuhn.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@seehuhn.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #76 received at 206691@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@seehuhn.de>
To: Vittorio Palmisano <redclay@email.it>
Cc: 206691@bugs.debian.org
Subject: matplotlib Debian packages
Date: Tue, 2 Nov 2004 12:26:02 +0000
[Message part 1 (text/plain, inline)]
Hello Vittorio,

what is the current state of your matplotlib Debian packages?
I would really like to see the program in the archive.

All the best,
Jochen
-- 
http://seehuhn.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aurélien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #81 received at 206691@bugs.debian.org (full text, mbox):

From: Aurélien Jarno <aurelien@aurel32.net>
To: 206691@bugs.debian.org, Vittorio Palmisano <redclay@email.it>
Subject: ITP: python-matplotlib -- A python based gtk plotting system in a style similar to matlab, aiming for publication quality plots.
Date: Tue, 30 Nov 2004 10:03:29 +0100
Hi,

I would really want to see this package in Debian, as a friend of mine 
needs at work (and I could also use it as an argument to migrate some 
computers from SuSe to Debian).

If you need some help, a sponsor to upload the package or anything else, 
don't hesitate to ask me.

Bye,
Aurelien

-- 
  .''`.  Aurelien Jarno               GPG: 1024D/F1BCDB73
 : :' :  Debian GNU/Linux developer | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@seehuhn.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #86 received at 206691@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@seehuhn.de>
To: 206691@bugs.debian.org, Vittorio Palmisano <redclay@email.it>
Subject: current state of matplotlib packaging?
Date: Sun, 5 Dec 2004 17:25:50 +0000
[Message part 1 (text/plain, inline)]
Hello Vittorio,

what is the current state of your matplotlib Debian packages?
Any progress?  If I can help in any way to speed this up, please
let me know.

Jochen
-- 
http://seehuhn.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aurélien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #91 received at 206691@bugs.debian.org (full text, mbox):

From: Aurélien Jarno <aurelien@aurel32.net>
To: 206691@bugs.debian.org, Vittorio Palmisano <redclay@email.it>
Cc: Jochen Voss <voss@seehuhn.de>
Subject: Re: ITP: python-matplotlib -- A python based gtk plotting system in a style similar to matlab, aiming for publication quality plots.
Date: Wed, 12 Jan 2005 00:02:11 +0100
Hi, 

What is the current state of the packages? If you don't have any news
from your sponsor, I think it's time to bypass it.

I can sponsor you if you want, unless Jochen, one of the upstream,
wanted to do so.

I use python-matplotlib at work, and I really want to see it in Debian,
in order to not have to install it from sources.

Bye,
Aurelien 

-- 
  .''`.  Aurelien Jarno	              GPG: 1024D/F1BCDB73
 : :' :  Debian GNU/Linux developer | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Vittorio Palmisano <redclay@email.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #96 received at 206691@bugs.debian.org (full text, mbox):

From: Vittorio Palmisano <redclay@email.it>
To: Jack Moffitt <jack@xiph.org>, Aurelien Jarno <aurel32@debian.org>, 206691@bugs.debian.org
Subject: matplotlib packages
Date: Sat, 15 Jan 2005 14:21:39 +0100
Hello,
my packages should be ready for the main distribution, I've fixed the problem
about pytz module importing, last version is 0.70.1-1.
Jack: let me know if you can do a check to this version




-- 
/Vittorio Palmisano/
Home Page: http://redclay.altervista.org



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #101 received at 206691@bugs.debian.org (full text, mbox):

From: Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>
To: 206691@bugs.debian.org
Subject: Status?
Date: Thu, 10 Feb 2005 21:38:50 +0900
I am sorry if I am not being patient, but what's going on with
matplotlib package?

As far as I can see, the package is ready and up-to-date, at least
three (yes three) DDs[1] showed interest in sponsoring upload, and
it's still not uploaded...

As a side note, Matplotlib 0.71 source archive includes a copy of
PyCXX, which is packaged as python-cxx in Debian. I am not sure there's
local modifications or not.

[1] Jack Moffitt <jack@debian.org>, Jochen Voss <voss@debian.org>,
Aurelien Jarno <aurel32@debian.org>.

Seo Sanghyeon



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #106 received at 206691@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>, 206691@bugs.debian.org
Subject: Re: Bug#206691: Status?
Date: Thu, 10 Feb 2005 14:05:47 +0100
On Thu, Feb 10, 2005 at 09:38:50PM +0900, Seo Sanghyeon wrote:
> I am sorry if I am not being patient, but what's going on with
> matplotlib package?

Please Cc such messages to the intended recipients, now nobody except
the wnpp maintainers recieved your message. You can best Cc all that
offered help etc in the buglog.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #111 received at 206691@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>
Cc: redclay@email.it, 206691@bugs.debian.org
Subject: Re: Status?
Date: Fri, 11 Feb 2005 00:52:51 +0100
On Thu, Feb 10, 2005 at 09:38:50PM +0900, Seo Sanghyeon wrote:
> I am sorry if I am not being patient, but what's going on with
> matplotlib package?
As far as I know, there is now progress, ie the package has not been
uploaded to Debian. It seems that Vittorio is waiting for Jack Moffit
(his sponsor) to get the package reviewed. Vittorio, any progress on
that point? Have you succeed in contacting Jack?

Bye,
Aurelien

-- 
  .''`.  Aurelien Jarno	              GPG: 1024D/F1BCDB73
 : :' :  Debian GNU/Linux developer | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #116 received at 206691@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: 206691@bugs.debian.org
Cc: Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>, Vittorio Palmisano <redclay@email.it>, Aurelien Jarno <aurelien@aurel32.net>
Subject: Re: Status of python-matplotlib
Date: Sun, 27 Mar 2005 01:18:20 +0100
[Message part 1 (text/plain, inline)]
Hi,

I've worked a little bit on the packaging. Except the two following
entries:

  * Remove the dependencies (in debian/control) on pythonX.Y-gd because
    these packages don't exist in Debian and I don't intend to use this
    backend.

  * Don't apply Vittorio's patch to the default .matplotlibrc, simply
    because I don't know yet why it is (or is not) needed. Will see.

I believe that most (if not all) changes are objectively improvements.
You can find the updated packages (for matplotlib 0.73.1) here:

  deb http://people.via.ecp.fr/~flo/tmp/debian sid-others/binary-$(ARCH)/
  deb http://people.via.ecp.fr/~flo/tmp/debian sid-others/binary-all/
  deb-src http://people.via.ecp.fr/~flo/tmp/debian sid-others/source/

(this is temporary because I don't intend to fork the previous work)

I am attaching the relevant changelog excerpt.
[changelog_excerpt.bz2 (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]
Bye,

-- 
Florent

Merged 206691 328027. Request was from Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alexandre Fayolle <afayolle@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #123 received at 206691@bugs.debian.org (full text, mbox):

From: Alexandre Fayolle <afayolle@debian.org>
To: 206691@bugs.debian.org
Cc: f.rougon@free.fr, Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>, Vittorio Palmisano <redclay@email.it>, Aurelien Jarno <aurelien@aurel32.net>, Jack Moffitt <jack@xiph.org>, Jochen Voss <voss@seehuhn.de>
Subject: Sponsoring python-matplotlib
Date: Thu, 15 Sep 2005 09:34:17 +0200
[Message part 1 (text/plain, inline)]
Hi,

I need to get matplotlib in Debian for some application at work, and I'm
willing to sponsor one of the packages announced on the bugreport, as
I'd hate to duplicate some work. Are there any opinions about which
version is more suitable for upload? I've been using Vittorio's package
for some time and it works fine. 

This ITP has been running for far too long with no upload.

-- 
Alexandre Fayolle                              LOGILAB, Paris (France).
http://www.logilab.com   http://www.logilab.fr  http://www.logilab.org
Offre d'emploi en CDI sur Paris (France) : http://www.logilab.fr/inge1
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #128 received at 206691@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Alexandre Fayolle <afayolle@debian.org>
Cc: 206691@bugs.debian.org, f.rougon@free.fr, Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>, Vittorio Palmisano <redclay@email.it>, Jack Moffitt <jack@xiph.org>, Jochen Voss <voss@seehuhn.de>
Subject: Re: Sponsoring python-matplotlib
Date: Thu, 15 Sep 2005 11:27:41 +0200
Alexandre Fayolle a écrit :
> Hi,

Hi!

> I need to get matplotlib in Debian for some application at work, and I'm
> willing to sponsor one of the packages announced on the bugreport, as
> I'd hate to duplicate some work. Are there any opinions about which
> version is more suitable for upload? I've been using Vittorio's package
> for some time and it works fine. 

Well I think the Vittorio's package is the most suitable to upload, at 
least that was my conclusion last time I checked. However there is some 
problems to solve:
- I am not able to build the package on two of my computers, I am not 
sure if it is a problem of the package or a problem on my side.
- The package needs an internet connection to be build (actually to 
download the documentation), this violate the policy.
- The package does not include the sources of the documentation (a .pdf 
file), so this it could only go to non-free.


> This ITP has been running for far too long with no upload.

I agree. I think a package could be uploaded very soon, if the build 
problem is solved. About the documentation, I suggest to simply remove 
it until a solution is found.

Bye,
Aurelien

-- 
  .''`.  Aurelien Jarno             | GPG: 1024D/F1BCDB73
 : :' :  Debian GNU/Linux developer | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alexandre Fayolle <alexandre.fayolle@logilab.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #133 received at 206691@bugs.debian.org (full text, mbox):

From: Alexandre Fayolle <alexandre.fayolle@logilab.fr>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: Alexandre Fayolle <afayolle@debian.org>, 206691@bugs.debian.org, f.rougon@free.fr, Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>, Vittorio Palmisano <redclay@email.it>, Jack Moffitt <jack@xiph.org>, Jochen Voss <voss@seehuhn.de>
Subject: Re: Sponsoring python-matplotlib
Date: Thu, 15 Sep 2005 11:39:47 +0200
[Message part 1 (text/plain, inline)]
On Thu, Sep 15, 2005 at 11:27:41AM +0200, Aurelien Jarno wrote:
> Alexandre Fayolle a écrit :
> >Hi,
> 
> Hi!
> 
> >I need to get matplotlib in Debian for some application at work, and I'm
> >willing to sponsor one of the packages announced on the bugreport, as
> >I'd hate to duplicate some work. Are there any opinions about which
> >version is more suitable for upload? I've been using Vittorio's package
> >for some time and it works fine. 
> 
> Well I think the Vittorio's package is the most suitable to upload, at 
> least that was my conclusion last time I checked. However there is some 
> problems to solve:
> - I am not able to build the package on two of my computers, I am not 
> sure if it is a problem of the package or a problem on my side.
> - The package needs an internet connection to be build (actually to 
> download the documentation), this violate the policy.
> - The package does not include the sources of the documentation (a .pdf 
> file), so this it could only go to non-free.

Thanks for the quick and detailed answer. 

> 
> 
> >This ITP has been running for far too long with no upload.
> 
> I agree. I think a package could be uploaded very soon, if the build 
> problem is solved. About the documentation, I suggest to simply remove 
> it until a solution is found.

I'll try to look into this over the next week end. Removing
the documentation and pointing people in the README.Debian to the web
site seems a good compromise to me in order to get the package in the
archive rapidly. 

-- 
Alexandre Fayolle                              LOGILAB, Paris (France).
http://www.logilab.com   http://www.logilab.fr  http://www.logilab.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #138 received at 206691@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: Alexandre Fayolle <alexandre.fayolle@logilab.fr>
Cc: Aurelien Jarno <aurelien@aurel32.net>, Alexandre Fayolle <afayolle@debian.org>, 206691@bugs.debian.org, f.rougon@free.fr, Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>, Vittorio Palmisano <redclay@email.it>, Jack Moffitt <jack@xiph.org>, Jochen Voss <voss@seehuhn.de>
Subject: Re: Sponsoring python-matplotlib
Date: Thu, 15 Sep 2005 18:00:57 +0200
[Message part 1 (text/plain, inline)]
Hi,

I cannot work on python-maplotlib for the forseeable future, but you may
be interested by the changes I made to the packages. I'm attaching the
changelog excerpt.
[changelog_excerpt.bz2 (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]
At least, I think the treatment done to the example scripts so that they
can be easily tested (hit Enter in mc...) is worth keeping.

As for the documentation, there are two problems:
  - the pdf file: should not be hard to fix (short-term: mention it in
    README.Debian, as you suggested; long-term: ask JDH to ship the
    source files and generate the PDF doc at build time);
  - the pydoc-generated documentation: apparently, pydoc has problems
    examining some of the C source files and this may be tricky to fix
    the Right Way(TM).

Another thing to keep an eye on is the gazillion zone files. I think it
is ridiculous to have all of them byte-compiled... twice! (.pyc, .pyo)

Regards,

-- 
Florent

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jack Moffitt <jack@xiph.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #143 received at 206691@bugs.debian.org (full text, mbox):

From: Jack Moffitt <jack@xiph.org>
To: Alexandre Fayolle <afayolle@debian.org>
Cc: 206691@bugs.debian.org, f.rougon@free.fr, Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>, Vittorio Palmisano <redclay@email.it>, Aurelien Jarno <aurelien@aurel32.net>, Jochen Voss <voss@seehuhn.de>
Subject: Re: Sponsoring python-matplotlib
Date: Thu, 15 Sep 2005 10:02:43 -0600
> I need to get matplotlib in Debian for some application at work, and I'm
> willing to sponsor one of the packages announced on the bugreport, as
> I'd hate to duplicate some work. Are there any opinions about which
> version is more suitable for upload? I've been using Vittorio's package
> for some time and it works fine. 
> 
> This ITP has been running for far too long with no upload.

I was helping Vittorio last yaer to prepare it for upload.  At the time
we had worked out all major problems and were only dealing with very
minor issues.  I believe Jochen Voss had some more issues as well.  In
any case, the package should be nearly uploadable.  I'm a little busier
these days than I was last year, but I can still sponsor this package if
no one else is up for it.

jack.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alexandre Fayolle <afayolle@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #148 received at 206691@bugs.debian.org (full text, mbox):

From: Alexandre Fayolle <afayolle@debian.org>
To: Jack Moffitt <jack@xiph.org>
Cc: Alexandre Fayolle <afayolle@debian.org>, 206691@bugs.debian.org, f.rougon@free.fr, Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>, Vittorio Palmisano <redclay@email.it>, Aurelien Jarno <aurelien@aurel32.net>, Jochen Voss <voss@seehuhn.de>
Subject: Re: Sponsoring python-matplotlib
Date: Thu, 15 Sep 2005 18:14:12 +0200
[Message part 1 (text/plain, inline)]
On Thu, Sep 15, 2005 at 10:02:43AM -0600, Jack Moffitt wrote:
> I was helping Vittorio last yaer to prepare it for upload.  At the time
> we had worked out all major problems and were only dealing with very
> minor issues.  I believe Jochen Voss had some more issues as well.  In
> any case, the package should be nearly uploadable.  I'm a little busier
> these days than I was last year, but I can still sponsor this package if
> no one else is up for it.
 
Hello Jack,

If you are Vittorio's usual sponsor, I think it will be easier for him
have a single contact to upload his work on Debian. On the other hand,
I can understand that you may have too little time for this, and in
this cas, I'll gladly step in to sponsor matplotlib. Juste tell me what
you feel is best here. 

-- 
Alexandre Fayolle                              LOGILAB, Paris (France).
http://www.logilab.com   http://www.logilab.fr  http://www.logilab.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jack Moffitt <jack@xiph.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #153 received at 206691@bugs.debian.org (full text, mbox):

From: Jack Moffitt <jack@xiph.org>
To: Alexandre Fayolle <afayolle@debian.org>
Cc: 206691@bugs.debian.org, f.rougon@free.fr, Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>, Vittorio Palmisano <redclay@email.it>, Aurelien Jarno <aurelien@aurel32.net>, Jochen Voss <voss@seehuhn.de>
Subject: Re: Sponsoring python-matplotlib
Date: Thu, 15 Sep 2005 10:27:08 -0600
> If you are Vittorio's usual sponsor, I think it will be easier for him
> have a single contact to upload his work on Debian. On the other hand,
> I can understand that you may have too little time for this, and in
> this cas, I'll gladly step in to sponsor matplotlib. Juste tell me what
> you feel is best here. 

I believe I was only sponsoring matplotlib and it's dependecies that
weren't already in Debian.  I'm not sure if Vittorio has sponsors for
other packages, so you might want to wait for him to chime in.

jack.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@seehuhn.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #158 received at 206691@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@seehuhn.de>
To: Jack Moffitt <jack@xiph.org>
Cc: Alexandre Fayolle <afayolle@debian.org>, 206691@bugs.debian.org, f.rougon@free.fr, Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>, Vittorio Palmisano <redclay@email.it>, Aurelien Jarno <aurelien@aurel32.net>
Subject: Re: Sponsoring python-matplotlib
Date: Fri, 16 Sep 2005 11:25:15 +0200
[Message part 1 (text/plain, inline)]
Hello,

On Thu, Sep 15, 2005 at 10:02:43AM -0600, Jack Moffitt wrote:
> I was helping Vittorio last yaer to prepare it for upload.  At the time
> we had worked out all major problems and were only dealing with very
> minor issues.  I believe Jochen Voss had some more issues as well.
I did not look at Vittorios packages for a long time, so I have no
oppinon at all about his recent packages.

All the best,
Jochen
-- 
http://seehuhn.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to vpalmisano@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #163 received at 206691@bugs.debian.org (full text, mbox):

From: Vittorio Palmisano <vpalmisano@gmail.com>
To: Alexandre Fayolle <alexandre.fayolle@logilab.fr>
Cc: Aurelien Jarno <aurelien@aurel32.net>, Alexandre Fayolle <afayolle@debian.org>, 206691@bugs.debian.org, f.rougon@free.fr, Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>, Jack Moffitt <jack@xiph.org>, Jochen Voss <voss@seehuhn.de>
Subject: Re: Sponsoring python-matplotlib
Date: Sat, 17 Sep 2005 11:38:26 +0200
Hi all

Alexandre Fayolle ha scritto:
> 
> I'll try to look into this over the next week end. Removing
> the documentation and pointing people in the README.Debian to the web
> site seems a good compromise to me in order to get the package in the
> archive rapidly. 

I have rebuild python-matplotlib (0.83.2) without the documentation package, and
I have added a link in README.debian, I will try to build the users_guide from
the cvs version and build a separate package for documentation and examples.

I haven't sponsors for other packages, and python-matplotlib depends on
python2.3-gd and python2.4-gd, I need a sponsor for python-gd adoption, or it
should be removed from python-matplolib dependences.




-- 
/Vittorio Palmisano/
Home Page: http://redclay.altervista.org



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alexandre Fayolle <alexandre.fayolle@logilab.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #168 received at 206691@bugs.debian.org (full text, mbox):

From: Alexandre Fayolle <alexandre.fayolle@logilab.fr>
To: Marco Presi <zufus@debian.org>
Cc: debian-science@lists.debian.org, 206691@bugs.debian.org
Subject: Re: python matplotlib debian package
Date: Sun, 9 Oct 2005 09:18:30 +0200
[Message part 1 (text/plain, inline)]
On Sat, Oct 08, 2005 at 10:24:21AM -0400, Marco Presi wrote:
>  || On Wed, 5 Oct 2005 20:50:52 +0200
>  || Alexandre Fayolle <alexandre.fayolle@logilab.fr> wrote: 
> 	af> On Wed, Oct 05, 2005 at 09:41:08AM -0700, JD Rogers wrote:
> 	>> Haha, that was fun. Talk about a quick answer(s). :-) On a
> 	>> related note, does anyone know the plan for bringing
> 	>> matplotlib into debian proper? There are still some sites
>         [..]
> 
> 	af> There is an ITP and RFS running, and I should already have
> 	af> sponsored the package, only $dayjob came in and I didn't
> 	af> have time to do so. I'll try to push it though, but if any
> 	af> DD here is quicker than me, please feel free to do so.
> 
>         I am available to do it, just let me know.
 
Hi Marco,

Go for it, I'm going to be too busy next week with the organisation of
the pypy sprint in Paris [1] and will be on vacation the next two weeks, 
with little or no net access. The ITP is at [2]

[1] http://codespeak.net/pypy/dist/pypy/doc/news.html
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=206691

-- 
Alexandre Fayolle                              LOGILAB, Paris (France).
http://www.logilab.com   http://www.logilab.fr  http://www.logilab.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Marco Presi" <zufus@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #173 received at 206691@bugs.debian.org (full text, mbox):

From: "Marco Presi" <zufus@debian.org>
To: Alexandre Fayolle <alexandre.fayolle@logilab.fr>
Cc: debian-science@lists.debian.org, 206691@bugs.debian.org
Subject: Re: python matplotlib debian package
Date: Mon, 10 Oct 2005 00:45:59 -0400
 || On Sun, 9 Oct 2005 09:18:30 +0200
 || Alexandre Fayolle <alexandre.fayolle@logilab.fr> wrote: 


	>> I am available to do it, just let me know.
 
	af> Hi Marco,

	af> Go for it, I'm going to be too busy next week with the organisation of
	af> the pypy sprint in Paris [1] and will be on vacation the next two weeks, 
	af> with little or no net access. The ITP is at [2]

        Ok, I am checking the packages.. there are some things I would
        like to discuss with Vittorio (for example, the package it is
        not made with cdbs, and some other minor stuff), then I will upload them.

	af> [1] http://codespeak.net/pypy/dist/pypy/doc/news.html
        cool!

        Ciao Ciao

        Marco

        P.S: ..we should also fix some bugs of scipy.. I will look also
        to them.

        

-- 
"I videogiochi non influenzano i bambini. Voglio dire, se Pac-Man avesse
influenzato la nostra generazione, staremmo tutti saltando in sale
scure, masticando pillole magiche e ascoltando musica elettronica
ripetitiva."

"Videogames do not influence kids. I mean, if Pac-Man influenced our
generation, we were all jumping in dark rooms, chomping pills and
listening to electronic repeating music."

Kristian Wilson, Nintendo Inc. 1989



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Marco Presi" <zufus@zufus.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #178 received at 206691@bugs.debian.org (full text, mbox):

From: "Marco Presi" <zufus@zufus.org>
To: Vittorio Palmisano <vpalmisano@gmail.com>
Cc: Alexandre Fayolle <alexandre.fayolle@logilab.fr>, 206691@bugs.debian.org
Subject: Let's Upload!!
Date: Mon, 10 Oct 2005 22:38:03 -0400
Hi Vittorio,

        I looked at your packages (both: python-gd and matplotlib), and
        I think they are quite good!

        I did only few changes to their control files (mainly,
        cosmetics):

        -) added myself and Alexandre as uploaders
        -) added few modifications to pkgs descriptions

        Then I've updated the changelogs to close ITP and ITA bugs, and
        increased version numbering (don't know if it is really
        necessary, but it may help people to notice that the pkgs are
        entering in Debian).

        Last quick question: you build only for py 2.3 and 2.4 is there
        a reason for this? In case, any objections if I extend to py 2.2 too?

        I am testing the pksg, and in the meantime, I am uploading them
        to http://people.debian.org/~zufus: take a look, and then tell
        me if you see problems, then in case, tomorrow I can do the
        upload.

        Ciao Ciao

        Marco

        P.S: I would be also interested, in the future, to convert
        debian/rules to cdbs.. what do you think about it?

-- 
"I videogiochi non influenzano i bambini. Voglio dire, se Pac-Man avesse
influenzato la nostra generazione, staremmo tutti saltando in sale
scure, masticando pillole magiche e ascoltando musica elettronica
ripetitiva."

"Videogames do not influence kids. I mean, if Pac-Man influenced our
generation, we were all jumping in dark rooms, chomping pills and
listening to electronic repeating music."

Kristian Wilson, Nintendo Inc. 1989



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Marco Presi" <zufus@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #183 received at 206691@bugs.debian.org (full text, mbox):

From: "Marco Presi" <zufus@debian.org>
To: Alexandre Fayolle <alexandre.fayolle@logilab.fr>
Cc: debian-science@lists.debian.org, 206691@bugs.debian.org
Subject: Re: python matplotlib debian package
Date: Wed, 12 Oct 2005 22:34:41 -0400
 || On Mon, 10 Oct 2005 00:45:59 -0400
 || "Marco Presi" <zufus@debian.org> wrote: 

 || On Sun, 9 Oct 2005 09:18:30 +0200
 || Alexandre Fayolle <alexandre.fayolle@logilab.fr> wrote: 


	>>> I am available to do it, just let me know.
 
	af> Hi Marco,

	af> Go for it, I'm going to be too busy next week with the organisation of
	af> the pypy sprint in Paris [1] and will be on vacation the next two weeks, 
	af> with little or no net access. The ITP is at [2]

	mp>         Ok, I am checking the packages.. there are some things I would
	mp>         like to discuss with Vittorio (for example, the package it is
	mp>         not made with cdbs, and some other minor stuff), then I will upload them.

        ..it seems I spoken to early :)

        Compiling the source pkgs from http://anakonda.altervista.org/
        results in packages that works only using the GTKagg backend. If
        I try to run the scripts from inside a python shell, I only
        obtain segmentation faluts.

        If someone want to test the packages buit on debian unstable,
        they are at:

        http://people.debian.org/~zufus

        They are divided in subfolders:

        matplotlib
        python-gd
        python-pypaint

        I don't think those packages are good to be uploaded until this
        issue it is not resolved.

        Ciao Ciao

        Marco


-- 
"I videogiochi non influenzano i bambini. Voglio dire, se Pac-Man avesse
influenzato la nostra generazione, staremmo tutti saltando in sale
scure, masticando pillole magiche e ascoltando musica elettronica
ripetitiva."

"Videogames do not influence kids. I mean, if Pac-Man influenced our
generation, we were all jumping in dark rooms, chomping pills and
listening to electronic repeating music."

Kristian Wilson, Nintendo Inc. 1989



Tags added: fixed Request was from Vittorio Palmisano <vpalmisano@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #190 received at 206691@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 206691@bugs.debian.org
Subject: python-matplotlib unresolved dependencies
Date: Thu, 3 Nov 2005 22:59:21 -0500
Hello all,

I already reported this directly to Alexendre, but I am duplicating it
here so that it can be tracked properly (hopefully this is the right
location since the package doesn't yet exist on the BTS).  The
matplotlib package
(http://people.debian.org/~zufus/matplotlib/0.83.2/python2.4-matplotlib_0.83.2-3_i386.deb)
should have dependencies on the tetex-base and dvipng packages.  The
following python code will not work properly unless both latex and
dvipng are present on the user's system.

>>> import pylab
>>> pylab.rc('text', usetex=True)
>>> pylab.xlabel(r'test $\alpha$')
>>> pylab.show()

Thank you for the hard work putting this useful package together.

Regards,
Mike Gilbert



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #195 received at 206691@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 206691@bugs.debian.org
Subject: Re: python-matplotlib unresolved dependencies
Date: Thu, 3 Nov 2005 23:16:45 -0500
> [snip] since the package doesn't yet exist on the BTS).  The

looks like i made a premature assumption.  i've properly reported this
against the unstable python-matplotlib package.



Reply sent to Thomas Huriaux <thomas.huriaux@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nathan Hurst <njh@hawthorn.csse.monash.edu.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #200 received at 206691-close@bugs.debian.org (full text, mbox):

From: Thomas Huriaux <thomas.huriaux@gmail.com>
To: 206691-close@bugs.debian.org, 328027-close@bugs.debian.org
Subject: properly closing ITP and RFP bugs
Date: Tue, 21 Feb 2006 16:58:34 +0100
[Message part 1 (text/plain, inline)]
Source: matplotlib
Source-Version: 0.82-1

-- 
Thomas Huriaux
[signature.asc (application/pgp-signature, inline)]

Reply sent to Thomas Huriaux <thomas.huriaux@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nathan Hurst <njh@hawthorn.csse.monash.edu.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 20:53:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:11:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.